Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.addon.conversion.OFDConvertParam Class Reference

## Public Member Functions
| OFDConvertParam ()
| Constructor.
| OFDConvertParam (boolean is_embed_font)
| Constructor, with parameters. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
boolean | getIs_embed_font ()
| Get whether to embed font in the converted file. More...
void | set (boolean is_embed_font)
| Set value. More...
void | setIs_embed_font (boolean value)
| Set whether to embed font in the converted file. More...

## Detailed Description

This class represents the parameters for the conversion between OFD and PDF.

## Constructor & Destructor Documentation

## ◆ OFDConvertParam()

com.foxit.sdk.addon.conversion.OFDConvertParam.OFDConvertParam | ( | boolean | is_embed_font | ) |

Constructor, with parameters.

Parameters

  [in] | is_embed_font | true means to embed font in the converted file, while false means not.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.addon.conversion.OFDConvertParam.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getIs_embed_font()

com.foxit.sdk.addon.conversion.OFDConvertParam.getIs_embed_font | ( |  | ) |

Get whether to embed font in the converted file.

Returns
  Whether to embed font in the converted file. true means to embed font in the converted file, while false means not.

## ◆ set()

void com.foxit.sdk.addon.conversion.OFDConvertParam.set | ( | boolean | is_embed_font | ) |

Set value.

Parameters

  [in] | is_embed_font | true means to embed font in the converted file, while false means not.

Returns
  None.

## ◆ setIs_embed_font()

com.foxit.sdk.addon.conversion.OFDConvertParam.setIs_embed_font | ( | boolean | value | ) |

Set whether to embed font in the converted file.

Parameters

  [in] | value | Whether to embed font in the converted file. true means to embed font in the converted file, while false means not.

Returns
  None.